> ## Documentation Index
> Fetch the complete documentation index at: https://demeterrr.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Survey

> Create a new survey

## Authentication

Requires `surveys:write` scope.

<ParamField body="name" type="string" required>
  Survey name
</ParamField>

<ParamField body="type" type="string" required>
  Survey type: `nps`, `csat`, `ces`, or `custom`
</ParamField>

<ParamField body="questions" type="array" required>
  Array of question objects
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://app.demeterrr.com/api/v1/surveys \
    -H "X-API-Key: dem_your_key_here" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Customer Satisfaction Survey",
      "type": "csat",
      "questions": []
    }'
  ```
</RequestExample>
